# Cilium debug information

#### Cilium version

```
1.14.0-snapshot.4 6c8db759 2023-06-16T12:17:20-07:00 go version go1.20.5 linux/arm64
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.27 (v1.27.3) [linux/arm64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [ens5 172.31.15.25 2600:1f18:1d78:3e05:fee2:64:34d5:888a (Direct Routing)]
Host firewall:          Disabled
CNI Chaining:           none
Cilium:                 Ok   1.14.0-snapshot.4 (v1.14.0-snapshot.4-6c8db759)
NodeMonitor:            Listening for events on 2 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 3/254 allocated from 10.10.0.0/24, IPv6: 3/18446744073709551614 allocated from fd10:800b:444f:2b00::/64
Allocated addresses:
  10.10.0.184 (router)
  10.10.0.187 (health)
  10.10.0.73 (kube-system/coredns-6fccb86bcb-5n4bj)
  fd10:800b:444f:2b00::26e3 (kube-system/coredns-6fccb86bcb-5n4bj)
  fd10:800b:444f:2b00::50be (health)
  fd10:800b:444f:2b00::f003 (router)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           BPF
Masquerading:           BPF       [ens5]   10.10.0.0/16 [IPv4: Enabled, IPv6: Enabled]
Clock Source for BPF:   jiffies   [100 Hz]
Controller Status:      24/24 healthy
  Name                                  Last success   Last error   Count   Message
  cilium-health-ep                      13s ago        never        0       no error   
  dns-garbage-collector-job             17s ago        never        0       no error   
  endpoint-1837-regeneration-recovery   never          never        0       no error   
  endpoint-572-regeneration-recovery    never          never        0       no error   
  endpoint-891-regeneration-recovery    never          never        0       no error   
  endpoint-gc                           4m17s ago      never        0       no error   
  ipcache-inject-labels                 15s ago        24m16s ago   0       no error   
  k8s-heartbeat                         18s ago        never        0       no error   
  link-cache                            14s ago        never        0       no error   
  metricsmap-bpf-prom-sync              7s ago         never        0       no error   
  resolve-identity-1837                 4m15s ago      never        0       no error   
  resolve-identity-572                  3m58s ago      never        0       no error   
  resolve-identity-891                  4m13s ago      never        0       no error   
  sync-host-ips                         15s ago        never        0       no error   
  sync-lb-maps-with-k8s-services        24m15s ago     never        0       no error   
  sync-policymap-1837                   38s ago        never        0       no error   
  sync-policymap-572                    38s ago        never        0       no error   
  sync-policymap-891                    38s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1837)     4s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (572)      8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (891)      13s ago        never        0       no error   
  sync-utime                            15s ago        never        0       no error   
  template-dir-watcher                  never          never        0       no error   
  write-cni-file                        24m17s ago     never        0       no error   
Proxy Status:            OK, ip 10.10.0.184, 0 redirects active on ports 10000-20000, Envoy: embedded
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 6.12   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Strict
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                ens5 172.31.15.25 2600:1f18:1d78:3e05:fee2:64:34d5:888a (Direct Routing)
  Mode:                   DSR
  Backend Selection:      Maglev (Table Size: 65521)
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled   
```

#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                  IPv6                        IPv4          STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                                         
572        Disabled           Disabled          23161      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system   fd10:800b:444f:2b00::26e3   10.10.0.73    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                                       
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                                    
                                                           k8s:k8s-app=kube-dns                                                                                                           
891        Disabled           Disabled          4          reserved:health                                                              fd10:800b:444f:2b00::50be   10.10.0.187   ready   
1837       Disabled           Disabled          1          k8s:node-role.kubernetes.io/control-plane                                                                              ready   
                                                           k8s:node.kubernetes.io/exclude-from-external-load-balancers                                                                    
                                                           reserved:host                                                                                                                  
```

#### BPF Policy Get 572

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0        0         0        
Allow    Ingress     1          ANY          NONE         disabled    136583   1576      0        
Allow    Egress      0          ANY          NONE         disabled    14306    161       0        

```


#### BPF CT List 572

```
Invalid argument: unknown type 572
```


#### Endpoint Get 572

```
[
  {
    "id": 572,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-572-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "bb78a7df-c08a-45df-aa89-69c8fca99bf3"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-572",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:36:38.928Z",
            "success-count": 5
          },
          "uuid": "09a63d2f-7c48-4b74-920f-48055bec4b92"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-572",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:39:58.701Z",
            "success-count": 25
          },
          "uuid": "73b778af-1406-4565-853d-040884ec91ed"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (572)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:40:29.034Z",
            "success-count": 145
          },
          "uuid": "d3b57c9f-3f5f-46a7-936c-2f1600afd2d0"
        }
      ],
      "external-identifiers": {
        "container-id": "600d775ddf2036c91fc02ea29065c8196ddfb3bb288f181ce2808e4d0e3b226e",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-6fccb86bcb-5n4bj",
        "pod-name": "kube-system/coredns-6fccb86bcb-5n4bj"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 23161,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=6fccb86bcb"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-06-21T17:24:58Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.0.73",
            "ipv4-pool-name": "default",
            "ipv6": "fd10:800b:444f:2b00::26e3",
            "ipv6-pool-name": "default"
          }
        ],
        "host-mac": "fa:71:7a:e4:e6:68",
        "interface-index": 8,
        "interface-name": "lxc351aac4e96e0",
        "mac": "5a:61:89:85:34:b3"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 23161,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 23161,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 572

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 572

```
Timestamp              Status   State                   Message
2023-06-21T17:24:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-06-21T17:24:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-06-21T17:24:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-06-21T17:24:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-06-21T17:16:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-06-21T17:16:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-06-21T17:16:38Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-06-21T17:16:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-06-21T17:16:38Z   OK       ready                   Set identity for this endpoint
2023-06-21T17:16:38Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 23161

```
ID      LABELS
23161   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns

```


#### BPF Policy Get 891

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    63096   696       0        
Allow    Ingress     1          ANY          NONE         disabled    37028   394       0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 891

```
Invalid argument: unknown type 891
```


#### Endpoint Get 891

```
[
  {
    "id": 891,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-891-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "869ae338-bb96-4e03-a28e-c264536ba652"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-891",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:36:23.636Z",
            "success-count": 5
          },
          "uuid": "5b8f0e30-4d35-4bf5-9b5b-ad8d19df7cbd"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-891",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:39:58.701Z",
            "success-count": 25
          },
          "uuid": "dbbce9df-e180-4792-aaa5-e2c6a1491b91"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (891)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:40:33.721Z",
            "success-count": 147
          },
          "uuid": "9b6afabe-c666-459a-8754-68582545ac39"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-06-21T17:24:58Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.0.187",
            "ipv4-pool-name": "default",
            "ipv6": "fd10:800b:444f:2b00::50be",
            "ipv6-pool-name": "default"
          }
        ],
        "host-mac": "b2:96:38:d7:28:9e",
        "interface-index": 6,
        "interface-name": "lxc_health",
        "mac": "1e:ff:39:74:24:0e"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 891

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 891

```
Timestamp              Status   State                   Message
2023-06-21T17:24:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-06-21T17:24:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-06-21T17:24:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-06-21T17:24:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-06-21T17:16:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-06-21T17:16:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-06-21T17:16:23Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-06-21T17:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-06-21T17:16:23Z   OK       ready                   Set identity for this endpoint
2023-06-21T17:16:22Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 1837

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0       0         0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 1837

```
Invalid argument: unknown type 1837
```


#### Endpoint Get 1837

```
[
  {
    "id": 1837,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1837-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "14efbe37-602e-432a-94fe-20c248d34092"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1837",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:36:22.556Z",
            "success-count": 5
          },
          "uuid": "ca44ace7-15fc-4ce2-bd2c-48b3719f2e57"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1837",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:39:58.701Z",
            "success-count": 25
          },
          "uuid": "25430819-3d31-4502-b7a5-95eed6f0f41c"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1837)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-06-21T17:40:32.641Z",
            "success-count": 147
          },
          "uuid": "a2fc6112-f1a0-4448-aa2e-85a31c7970c5"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host",
          "k8s:node-role.kubernetes.io/control-plane"
        ]
      },
      "labels": {
        "derived": [
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-06-21T17:24:58Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "fe:ce:01:a2:f3:38",
        "interface-name": "cilium_host",
        "mac": "fe:ce:01:a2:f3:38"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1837

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1837

```
Timestamp              Status   State                   Message
2023-06-21T17:24:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-06-21T17:24:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-06-21T17:24:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-06-21T17:24:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-06-21T17:16:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-06-21T17:16:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-06-21T17:16:22Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-06-21T17:16:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-06-21T17:16:22Z   OK       ready                   Set identity for this endpoint
2023-06-21T17:16:22Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### Policy get

```
:
 []
Revision: 1

```


#### Cilium memory map


```
00010000-02466000 r-xp 00000000 103:01 11692861                          /usr/bin/cilium-agent
02470000-04fc7000 r--p 02460000 103:01 11692861                          /usr/bin/cilium-agent
04fd0000-050f3000 rw-p 04fc0000 103:01 11692861                          /usr/bin/cilium-agent
050f3000-0588c000 rw-p 00000000 00:00 0 
4000000000-4002a00000 rw-p 00000000 00:00 0 
4002a00000-4003000000 rw-p 00000000 00:00 0 
4003000000-4003200000 rw-p 00000000 00:00 0 
4003200000-4003400000 rw-p 00000000 00:00 0 
4003400000-4003600000 rw-p 00000000 00:00 0 
4003600000-4004000000 rw-p 00000000 00:00 0 
ffff89aa0000-ffff89b20000 rw-p 00000000 00:00 0 
ffff89b20000-ffff89b61000 rw-s 00000000 00:0d 40                         anon_inode:[perf_event]
ffff89b61000-ffff89ba2000 rw-s 00000000 00:0d 40                         anon_inode:[perf_event]
ffff89ba2000-ffff89ba4000 rw-s 00000000 00:0d 40                         anon_inode:[perf_event]
ffff89ba4000-ffff89ba6000 rw-s 00000000 00:0d 40                         anon_inode:[perf_event]
ffff89ba6000-ffff8c2c5000 rw-p 00000000 00:00 0 
ffff8c2c5000-ffff8cb42000 ---p 00000000 00:00 0 
ffff8cb42000-ffff8cb43000 rw-p 00000000 00:00 0 
ffff8cb43000-ffffacad2000 ---p 00000000 00:00 0 
ffffacad2000-ffffacad3000 rw-p 00000000 00:00 0 
ffffacad3000-ffffb0ac4000 ---p 00000000 00:00 0 
ffffb0ac4000-ffffb0ac5000 rw-p 00000000 00:00 0 
ffffb0ac5000-ffffb12c2000 ---p 00000000 00:00 0 
ffffb12c2000-ffffb12c3000 rw-p 00000000 00:00 0 
ffffb12c3000-ffffb13c2000 ---p 00000000 00:00 0 
ffffb13c2000-ffffb1422000 rw-p 00000000 00:00 0 
ffffb1422000-ffffb1424000 r--p 00000000 00:00 0                          [vvar]
ffffb1424000-ffffb1425000 r-xp 00000000 00:00 0                          [vdso]
ffffcf679000-ffffcf69a000 rw-p 00000000 00:00 0                          [stack]

```


#### ongoing-endpoint-creations


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0x400114c770)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0x400067d860,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=4) {
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0x40016b4dc0)(frontends:[10.20.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0x40016b4e70)(frontends:[10.20.6.229]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0x40016b4f20)(frontends:[10.20.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) default/my-nginx: (*k8s.Service)(0x4001a3a0b0)(frontends:[10.20.23.98]/ports=[]/selector=map[run:my-nginx])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=4) {
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0x40001ea858)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0x40010d88f0)(172.31.15.25:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0x40001ea860)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-5zrb7": (*k8s.Endpoints)(0x4001763c70)(172.31.0.147:4244/TCP,172.31.15.25:4244/TCP,172.31.8.188:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0x40001ea868)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-ncmsl": (*k8s.Endpoints)(0x400254fad0)(10.10.0.73:53/TCP,10.10.0.73:53/UDP,10.10.0.73:9153/TCP,10.10.2.82:53/TCP,10.10.2.82:53/UDP,10.10.2.82:9153/TCP)
   }
  }),
  (k8s.ServiceID) default/my-nginx: (*k8s.EndpointSlices)(0x4000c49cd8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "my-nginx-wnfvj": (*k8s.Endpoints)(0x4001fa1ee0)(10.10.1.172:80/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x5676ac8)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### Kernel version

```
6.1.29
```


#### Cilium environment keys

```
node-port-bind-protection:true
fixed-identity-mapping:
enable-stale-cilium-endpoint-cleanup:true
k8s-client-burst:0
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
dnsproxy-lock-count:128
pprof-address:localhost
enable-vtep:false
enable-k8s-networkpolicy:true
kvstore-opt:
local-max-addr-scope:252
trace-payloadlen:128
l2-announcements-lease-duration:15s
monitor-queue-size:0
tofqdns-dns-reject-response-code:refused
hubble-disable-tls:false
set-cilium-node-taints:true
cnp-node-status-gc-interval:0s
enable-k8s-api-discovery:false
ipv6-native-routing-cidr:fd10:800b:444f:2b00::/56
enable-hubble:true
enable-auto-protect-node-port-range:true
enable-xt-socket-fallback:true
procfs:/host/proc
skip-cnp-status-startup-clean:false
enable-runtime-device-detection:false
vlan-bpf-bypass:
label-prefix-file:
cgroup-root:/run/cilium/cgroupv2
ipv6-mcast-device:
enable-ipv6-ndp:false
encrypt-interface:
k8s-require-ipv4-pod-cidr:false
hubble-event-buffer-capacity:4095
policy-audit-mode:false
annotate-k8s-node:false
enable-ipsec:false
bpf-neigh-global-max:524288
hubble-recorder-sink-queue-size:1024
dns-policy-unload-on-shutdown:false
proxy-gid:1337
tofqdns-proxy-port:0
ipv6-cluster-alloc-cidr:f00d::/64
tofqdns-max-deferred-connection-deletes:10000
allow-icmp-frag-needed:true
tunnel:
l2-announcements-retry-period:2s
conntrack-gc-interval:0s
endpoint-gc-interval:5m0s
route-metric:0
allocator-list-timeout:3m0s
enable-custom-calls:false
enable-ipv4:true
bpf-lb-dsr-dispatch:opt
proxy-max-connection-duration-seconds:0
hubble-metrics:
bpf-lb-affinity-map-max:0
bpf-lb-maglev-table-size:65521
mesh-auth-spiffe-trust-domain:spiffe.cilium
synchronize-k8s-nodes:true
set-cilium-is-up-condition:true
mesh-auth-enabled:true
bpf-map-dynamic-size-ratio:0.0025
enable-health-checking:true
enable-bbr:false
hubble-listen-address::4244
hubble-export-file-max-backups:5
hubble-socket-path:/var/run/cilium/hubble.sock
disable-iptables-feeder-rules:
enable-sctp:false
bpf-ct-timeout-regular-tcp:6h0m0s
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
enable-envoy-config:false
ip-allocation-timeout:2m0s
enable-srv6:false
metrics:
ipv4-pod-subnets:
operator-api-serve-addr:127.0.0.1:9234
ipv4-native-routing-cidr:10.10.0.0/16
bgp-config-path:/var/lib/cilium/bgp/config.yaml
bpf-lb-rss-ipv6-src-cidr:
ipsec-key-file:
bpf-sock-rev-map-max:262144
tofqdns-proxy-response-max-delay:100ms
hubble-redact:
l2-pod-announcements-interface:
join-cluster:false
bpf-lb-acceleration:disabled
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
l2-announcements-renew-deadline:5s
enable-cilium-api-server-access:
bpf-root:/sys/fs/bpf
ipv6-pod-subnets:
enable-k8s:true
prepend-iptables-chains:true
k8s-service-proxy-name:
ipv4-node:auto
log-driver:
gops-port:9890
kvstore-max-consecutive-quorum-errors:2
max-controller-interval:0
enable-xdp-prefilter:false
http-normalize-path:true
cluster-health-port:4240
routing-mode:native
config-sources:config-map:kube-system/cilium-config
identity-restore-grace-period:10m0s
identity-allocation-mode:crd
hubble-export-file-max-size-mb:10
ipv6-node:auto
ipv6-range:auto
agent-liveness-update-interval:1s
bpf-nat-global-max:524288
socket-path:/var/run/cilium/cilium.sock
state-dir:/var/run/cilium
dnsproxy-concurrency-processing-grace-period:0s
config-dir:/tmp/cilium/config-map
keep-config:false
identity-gc-interval:15m0s
datapath-mode:veth
egress-multi-home-ip-rule-compat:false
egress-masquerade-interfaces:
auto-direct-node-routes:true
enable-ipv4-big-tcp:false
bpf-lb-map-max:65536
k8s-sync-timeout:3m0s
policy-trigger-interval:1s
pprof:false
agent-labels:
node-port-algorithm:random
bpf-ct-timeout-regular-tcp-syn:1m0s
enable-ipv4-egress-gateway:false
mesh-auth-spire-admin-socket:
config:
enable-pmtu-discovery:false
enable-bandwidth-manager:false
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
vtep-cidr:
ipv4-service-range:auto
ipv4-service-loopback-address:169.254.42.1
enable-external-ips:true
bpf-lb-dsr-l4-xlate:frontend
cluster-name:default
tofqdns-enable-dns-compression:true
bpf-auth-map-max:524288
bpf-lb-mode:dsr
enable-unreachable-routes:false
bpf-fragments-map-max:8192
kvstore-lease-ttl:15m0s
node-port-mode:snat
enable-wireguard-userspace-fallback:false
cni-exclusive:true
http-retry-timeout:0
enable-hubble-recorder-api:true
http-max-grpc-timeout:0
enable-icmp-rules:true
bpf-filter-priority:1
local-router-ipv6:
bpf-lb-external-clusterip:false
devices:
identity-change-grace-period:5s
bpf-lb-algorithm:maglev
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
node-port-acceleration:disabled
proxy-prometheus-port:9964
iptables-random-fully:false
enable-remote-node-identity:true
enable-endpoint-routes:false
egress-gateway-policy-map-max:16384
bpf-lb-source-range-map-max:0
bpf-ct-global-any-max:262144
envoy-config-timeout:2m0s
dns-max-ips-per-restored-rule:1000
lib-dir:/var/lib/cilium
enable-mke:false
bpf-lb-service-map-max:0
hubble-export-file-compress:false
vtep-endpoint:
ipv4-range:auto
bpf-lb-rev-nat-map-max:0
tofqdns-min-ttl:0
agent-health-port:9879
enable-l7-proxy:true
enable-health-check-nodeport:true
mtu:0
labels:
proxy-connect-timeout:2
bpf-policy-map-max:16384
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
bpf-ct-timeout-regular-tcp-fin:10s
preallocate-bpf-maps:false
ipam-cilium-node-update-rate:15s
fqdn-regex-compile-lru-size:1024
sidecar-istio-proxy-image:cilium/istio_proxy
use-cilium-internal-ip-for-ipsec:false
read-cni-conf:
disable-endpoint-crd:false
kube-proxy-replacement:strict
identity-heartbeat-timeout:30m0s
tofqdns-endpoint-max-ip-per-hostname:50
bpf-lb-maglev-map-max:0
tunnel-protocol:vxlan
ipam:kubernetes
install-egress-gateway-routes:false
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
crd-wait-timeout:5m0s
prometheus-serve-addr::9962
enable-k8s-event-handover:false
enable-host-legacy-routing:false
enable-local-redirect-policy:false
tofqdns-pre-cache:
monitor-aggregation:medium
remove-cilium-node-taints:true
srv6-encap-mode:reduced
enable-ipsec-key-watcher:true
kvstore-periodic-sync:5m0s
disable-cnp-status-updates:true
cni-log-file:/var/run/cilium/cilium-cni.log
enable-policy:default
debug-verbose:
kvstore-connectivity-timeout:2m0s
mke-cgroup-mount:
hubble-monitor-events:
k8s-client-qps:0
enable-session-affinity:false
hubble-metrics-server:
enable-svc-source-range-check:true
endpoint-status:
cmdref:
bpf-ct-timeout-service-tcp-grace:1m0s
enable-cilium-health-api-server-access:
local-router-ipv4:
unmanaged-pod-watcher-interval:15
enable-node-port:false
direct-routing-device:
mesh-auth-mutual-listener-port:0
hubble-export-file-path:
external-envoy-proxy:false
tunnel-port:0
enable-ipv6-big-tcp:false
hubble-event-queue-size:0
enable-ipv6:true
http-retry-count:3
enable-cilium-endpoint-slice:false
bpf-lb-rss-ipv4-src-cidr:
enable-l2-pod-announcements:false
enable-ipv4-fragment-tracking:true
arping-refresh-period:30s
cni-chaining-target:
enable-well-known-identities:false
ipam-multi-pool-pre-allocation:default=8
endpoint-queue-size:25
single-cluster-route:false
k8s-service-cache-size:128
derive-masquerade-ip-addr-from-device:
hubble-prefer-ipv6:false
dnsproxy-concurrency-limit:0
ipv6-service-range:auto
bypass-ip-availability-upon-restore:false
enable-tracing:false
kvstore:
policy-queue-size:100
http-request-timeout:3600
envoy-log:
monitor-aggregation-interval:5s
bgp-announce-pod-cidr:false
bpf-ct-timeout-regular-any:1m0s
mesh-auth-queue-size:1024
enable-ipv6-masquerade:true
encrypt-node:false
enable-recorder:false
http-403-msg:
install-iptables-rules:true
enable-endpoint-health-checking:true
ipsec-key-rotation-duration:5m0s
ip-masq-agent-config-path:/etc/config/ip-masq-agent
k8s-kubeconfig-path:
iptables-lock-timeout:5s
cluster-id:0
enable-l2-announcements:false
cflags:
api-rate-limit:
hubble-skip-unknown-cgroup-ids:true
custom-cni-conf:false
enable-host-port:true
debug:false
install-no-conntrack-iptables-rules:false
proxy-idle-timeout-seconds:60
vtep-mask:
disable-envoy-version-check:false
bpf-ct-timeout-service-any:1m0s
exclude-local-address:
enable-ipv4-masquerade:true
nodes-gc-interval:5m0s
clustermesh-config:/var/lib/cilium/clustermesh/
enable-bpf-tproxy:false
enable-k8s-terminating-endpoint:true
pprof-port:6060
monitor-aggregation-flags:all
allow-localhost:auto
enable-wireguard:false
k8s-require-ipv6-pod-cidr:false
enable-nat46x64-gateway:false
bpf-lb-service-backend-map-max:0
http-idle-timeout:0
enable-host-firewall:false
enable-identity-mark:true
hubble-recorder-storage-path:/var/run/cilium/pcaps
bpf-map-event-buffers:
log-system-load:false
proxy-max-requests-per-connection:0
version:false
enable-l2-neigh-discovery:true
cni-chaining-mode:none
enable-ip-masq-agent:false
bpf-ct-timeout-service-tcp:6h0m0s
tofqdns-idle-connection-grace-period:0s
enable-bpf-clock-probe:true
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
bpf-lb-sock:false
k8s-api-server:
vtep-mac:
bgp-announce-lb-ip:false
enable-k8s-endpoint-slice:true
bpf-lb-dev-ip-addr-inherit:
cilium-endpoint-gc-interval:5m0s
enable-service-topology:false
enable-bgp-control-plane:true
node-port-range:
bpf-ct-global-tcp-max:524288
enable-monitor:true
enable-local-node-route:true
enable-bpf-masquerade:true
certificates-directory:/var/run/cilium/certs
mesh-auth-expired-gc-interval:15m0s
k8s-namespace:kube-system
enable-high-scale-ipcache:false
kube-proxy-replacement-healthz-bind-address:
auto-create-cilium-node-resource:true
restore:true
dnsproxy-lock-timeout:500ms
trace-sock:true
log-opt:
k8s-heartbeat-timeout:30s
bpf-lb-sock-hostns-only:false
mesh-auth-rotated-identities-queue-size:1024
```


#### Service list

```
ID   Frontend             Service Type   Backend                           
1    10.20.0.1:443        ClusterIP      1 => 172.31.15.25:6443 (active)   
2    10.20.6.229:443      ClusterIP      1 => 172.31.15.25:4244 (active)   
3    10.20.0.10:53        ClusterIP      1 => 10.10.2.82:53 (active)       
                                         2 => 10.10.0.73:53 (active)       
4    10.20.0.10:9153      ClusterIP      1 => 10.10.2.82:9153 (active)     
                                         2 => 10.10.0.73:9153 (active)     
5    10.20.23.98:80       ClusterIP      1 => 10.10.1.172:80 (active)      
6    172.31.15.25:31345   NodePort       1 => 10.10.1.172:80 (active)      
7    0.0.0.0:31345        NodePort       1 => 10.10.1.172:80 (active)      
```

#### Cilium encryption


